<template>
	<section class="settings_main">
		<div class="p-3 w-100">
			<div class="settings_content_inr base_block">
				<div class="settings_panel p-3">
					<div class="settings_panel_ttl">
						<div class="txt">{{ $store.state.locale.handbook }}</div>
						<button type="button" class="login_main_sign_btn bt" data-toggle="modal" data-target="#modalInfo" @click="actionType = 1"
								v-if="can('settings_handbook', 'Edit')">
							{{ $store.state.locale.addHandbook }}
						</button>
					</div>

					<div class="settings_panel_cnt">
						<div class="table-responsive settings_content_tb">
							<table class="table table-striped table-hover">
								<thead>
								<tr>
									<th>Id</th>
									<th>{{ $store.state.locale.phoneNumber }}</th>
									<th>{{ $store.state.locale.name }}</th>
									<th>{{ $store.state.locale.organization }}</th>

									<th class="w-40" v-if="can('settings_handbook', 'Edit')"></th>
								</tr>
								</thead>

								<tbody>
								<tr v-for="item in modelList" v-if="modelList">
									<td>{{ item.id }}</td>
									<td>{{ item.phoneNumber }}</td>
									<td>{{ item.info }}</td>
									<td>{{ orgList.find(x => x.id === item.orgId) ? orgList.find(x => x.id === item.orgId).name : '---' }}</td>

									<td v-if="can('settings_handbook', 'Edit')">
										<div class="btn-group">
											<button type="button" class="icon-btn" data-toggle="modal" data-target="#modalInfo" @click="model.setData(item); actionType = 2">
												<i class="mdi mdi-pencil"></i>
											</button>
											<button type="button" class="icon-btn" @click="Delete(item.id)">
												<i class="mdi mdi-delete text-danger"></i>
											</button>
										</div>
									</td>
								</tr>
								</tbody>
							</table>
						</div>
					</div>
				</div>
			</div>


			<div class="modal fade base_modal" id="modalInfo">
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="modal-header">
							<div class="base_modal_ttl">{{ $store.state.locale.handbook }}</div>
						</div>

						<div class="modal-body">
							<form @submit.prevent="CreateAndUpdate">
								<div class="form-group">
									<label class="base_label">{{ $store.state.locale.phoneNumber }}</label>
									<input type="number" class="form-control base_input spinner" v-model="model.phoneNumber" required>
								</div>

								<div class="form-group">
									<label class="base_label">{{ $store.state.locale.name }}</label>
									<input type="text" class="form-control base_input" v-model="model.info" required>
								</div>

								<div class="form-group">
									<label class="base_label">{{ $store.state.locale.organization }}</label>
									<select class="form-control base_input" v-model="model.orgId" required>
										<option v-for="item in orgList" :value="item.id">{{ item.name }}</option>
									</select>
								</div>

								<div>
									<button type="submit" class="login_main_sign_btn base_modal_btn" v-if="actionType === 1">
										{{$store.state.locale.add}}
									</button>
									<button type="submit" class="login_main_sign_btn base_modal_btn success" v-if="actionType === 2">
										{{$store.state.locale.update}}
									</button>
								</div>
							</form>
						</div>
					</div>
				</div>
			</div>


		</div>
	</section>
</template>

<style></style>

<script src="./script.js"></script>